(function (global, factory) {
    typeof exports === 'object' && typeof module !== 'undefined' ? factory(exports, require('@angular/animations')) :
    typeof define === 'function' && define.amd ? define('@mintplayer/ng-animations', ['exports', '@angular/animations'], factory) :
    (global = typeof globalThis !== 'undefined' ? globalThis : global || self, factory((global.mintplayer = global.mintplayer || {}, global.mintplayer['ng-animations'] = {}), global.ng.animations));
}(this, (function (exports, animations) { 'use strict';

    var ColorTransitionAnimation = animations.trigger('colorTransition', [
        animations.state('color1', animations.style({
            'background': "{{ color1 }}",
        }), {
            params: {
                color1: '#000',
            }
        }),
        animations.state('color2', animations.style({
            'background': "{{ color2 }}",
        }), {
            params: {
                color2: '#444',
            }
        }),
        animations.transition('color1 => color2', [
            animations.group([
                animations.animate('{{ duration }} ease-in-out', animations.style({
                    'background': "{{ color2 }}"
                })),
            ])
        ], {
            params: {
                color1: '#000',
                color2: '#444',
                duration: '1s',
            }
        }),
        animations.transition('color2 => color1', [
            animations.group([
                animations.animate('{{ duration }} ease-in-out', animations.style({
                    'background': "{{ color1 }}"
                })),
            ])
        ], {
            params: {
                color1: '#000',
                color2: '#444',
                duration: '1s',
            }
        }),
    ]);

    var FadeInOutAnimation = animations.trigger('fadeInOut', [
        animations.transition(':enter', [
            animations.style({ opacity: 0 }),
            animations.animate('200ms', animations.style({ opacity: 1 })),
        ]),
        animations.transition(':leave', [
            animations.animate('200ms', animations.style({ opacity: 0 }))
        ]),
    ]);

    var CarouselSlideAnimation = animations.trigger('carouselSlide', [
        // One time initial load. Move page from left -100% to 0%
        animations.transition('-1 => *', [
            animations.query(':enter', [
                animations.style({ width: '100%', transform: 'translateX(-100%)' }),
                animations.animate('500ms ease', animations.style({ opacity: 1, transform: 'translateX(0%)' })),
            ]),
        ]),
        // Previous, slide left to right to show left page
        animations.transition(':decrement', [
            // set new page X location to be -100%
            animations.query(':enter', animations.style({ width: '100%', transform: 'translateX(-100%)' })),
            animations.group([
                // slide existing page from 0% to 100% to the right
                animations.query(':leave', animations.animate('500ms ease', animations.style({ width: '100%', transform: 'translateX(100%)' }))),
                // slide new page from -100% to 0% to the right
                animations.query(':enter', animations.animate('500ms ease', animations.style({ opacity: 1, transform: 'translateX(0%)' }))),
            ]),
        ]),
        // Next, slide right to left to show right page
        animations.transition(':increment', [
            // set new page X location to be 100%
            animations.query(':enter', animations.style({ width: '100%', transform: 'translateX(100%)' })),
            animations.group([
                // slide existing page from 0% to -100% to the left
                animations.query(':leave', animations.animate('500ms ease', animations.style({ width: '100%', transform: 'translateX(-100%)' }))),
                // slide new page from 100% to 0% to the left
                animations.query(':enter', animations.animate('500ms ease', animations.style({ opacity: 1, transform: 'translateX(0%)' }))),
            ]),
        ])
    ]);

    var SlideUpDownAnimation = animations.trigger('slideUpDown', [
        animations.state('down', animations.style({
            'height': '*',
        })),
        animations.state('up', animations.style({
            'height': '0px',
        })),
        animations.transition('down => up', [
            animations.group([
                animations.animate('300ms ease-in-out', animations.style({
                    'height': '0px'
                })),
            ])
        ]),
        animations.transition('up => down', [
            animations.group([
                animations.animate('300ms ease-in-out', animations.style({
                    'height': '*'
                })),
            ])
        ]),
    ]);

    /**
     * Generated bundle index. Do not edit.
     */

    exports.CarouselSlideAnimation = CarouselSlideAnimation;
    exports.ColorTransitionAnimation = ColorTransitionAnimation;
    exports.FadeInOutAnimation = FadeInOutAnimation;
    exports.SlideUpDownAnimation = SlideUpDownAnimation;

    Object.defineProperty(exports, '__esModule', { value: true });

})));
//# sourceMappingURL=mintplayer-ng-animations.umd.js.map
